summaryrefslogtreecommitdiff
path: root/regress
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@cvs.openbsd.org>2024-03-26 08:09:17 +0000
committerDarren Tucker <dtucker@cvs.openbsd.org>2024-03-26 08:09:17 +0000
commit2e90d0395c7e8da297fe516ce89e1383ac56d2b4 (patch)
tree945c7f425034a888dd1434de47844e5fbfdf20bf /regress
parentaa72741c44a345e661c3712f8b3d9185a0f4938a (diff)
test -h is the POSIXly way of testing for a symlink. Reduces diff vs
Portable.
Diffstat (limited to 'regress')
-rw-r--r--regress/usr.bin/ssh/sftp-cmds.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/regress/usr.bin/ssh/sftp-cmds.sh b/regress/usr.bin/ssh/sftp-cmds.sh
index a7594bfc098..78b3c3ca574 100644
--- a/regress/usr.bin/ssh/sftp-cmds.sh
+++ b/regress/usr.bin/ssh/sftp-cmds.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: sftp-cmds.sh,v 1.17 2024/03/25 06:05:42 dtucker Exp $
+# $OpenBSD: sftp-cmds.sh,v 1.18 2024/03/26 08:09:16 dtucker Exp $
# Placed in the Public Domain.
# XXX - TODO:
@@ -188,7 +188,7 @@ cmp ${COPY}.1 ${COPY}.2 || fail "created file is not equal after ln"
verbose "$tid: ln -s"
rm -f ${COPY}.2
echo "ln -s ${COPY}.1 ${COPY}.2" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 || fail "ln -s failed"
-test -L ${COPY}.2 || fail "missing file after ln -s"
+test -h ${COPY}.2 || fail "missing file after ln -s"
verbose "$tid: cp"
rm -f ${COPY}.2